import request from "@/utils/request";

// 查询泥浆填报列表
export function listNjtb(query) {
  return request({
    url: "/dt/dtNjtb/list",
    method: "get",
    params: query,
  });
}

// 查询泥浆填报详细
export function getNjtb(id) {
  return request({
    url: "/dt/dtNjtb/" + id,
    method: "get",
  });
}

// 新增泥浆填报
export function addNjtb(data) {
  return request({
    url: "/dt/dtNjtb",
    method: "post",
    data: data,
  });
}

// 修改泥浆填报
export function updateNjtb(data) {
  return request({
    url: "/dt/dtNjtb",
    method: "put",
    data: data,
  });
}

// 删除泥浆填报
export function delNjtb(id) {
  return request({
    url: "/dt/dtNjtb/" + id,
    method: "delete",
  });
}
// 新增删除
export function deleteNjtb(data) {
  return request({
    url: "/dt/dtNjtb/removeNj",
    method: "post",
    data: data,
  });
}
//新增
export function ddrjsNjtb(data) {
  return request({
    url: "/dt/dtNjtb/addSj",
    method: "post",
    data: data,
  });
}
